schemaVersion: 2.1.0
metadata:
  name: gitlab-devfile-example
components:
  - name: tools
    container:
      image: quay.io/devfile/universal-developer-image:ubi8-0e189d9
      volumeMounts:
        - name: venv
          path: /home/user/.venv
      memoryLimit: 512Mi
      mountSources: true
  - name: venv
    volume:
      size: 1G
commands:
  - id: run-application
    exec:
      label: "Run application"
      component: tools
      workingDir: ${PROJECT_SOURCE}
      commandLine: "python3 hello-world.py"
      group:
        kind: run